Support » Plugin: Jetpack - WP Security, Backup, Speed, & Growth » Fatal Error Plugin Activations

  • Resolved kookookjew

    (@kookookjew)


    get this message when I try to activate the latest version of the plugin. Using WordPress 5.5

    Fatal error: Cannot redeclare
    Automattic\Jetpack\Autoloader\enqueue_packages_caf890f17f58d4849def9dd43df3b33a() (previously declared in /home/XXX/public_html/wp-content/plugins/woocommerce/vendor/autoload_packages.php:183) in /home/XXX/public_html/wp-content/plugins/woocommerce/vendor/autoload_packages.php on line 183

    The page I need help with: [log in to see the link]

Viewing 15 replies - 1 through 15 (of 26 total)
  • Plugin Contributor James Huff

    (@macmanx)

    Volunteer Moderator

    What version of WooCommerce are you running?

    i changed the name of the jetpack’s plugin folder on the remote server via FTP and then I was able to log in. I tried a lot of things, but finally opted to remove Jetpack completely from the remote server via FTP. And then I installed and activated. The site seems to be working again. ONe thing I think is a possibility: maybe Jetpack got corrupted somehow because of a conflict with Braintree? One of the things I did before I re-installed/activated Jetpack was disable Braintree. I will be trying to get Braintree back running again later this week. If JetPack goes south again after Braintree is running, I will return here to report that to you.

    Sorry, just now saw James’ question: Woocommerce 4.4.0.

    • This reply was modified 1 year, 2 months ago by susantau.

    Same error here.
    PHP Fatal error: Cannot redeclare Automattic\Jetpack\Autoloader\enqueue_packages_59b2271d25a961ec5100b6f811b89e89() (previously declared in /home/lamp/wordpress/plugins/woocommerce/vendor/autoload_packages.php:183) in /home/lamp/wordpress/plugins/woocommerce/vendor/autoload_packages.php on line 183

    Had to delete jetpack from 3 sites that also run WooCommerce.
    WP 5.5
    JetPack 8.8.2
    WooCommerce 4.4.0

    deleted jetpack.
    We use svn to maintain plugins and turn off WordPress updates, as the latter are insecure.
    Our webserver does not have permission to update PHP directories.
    Created jetpack directory with new svn co command
    restarted php7.3-fpm to reset OPCache

    got message to update WooCommerce database at this point.

    Possibly all this triggered by update to WP 5.5 in the last 24 hours.

    I have run into the same issue that jetpack is crashing my site and not sure how to fix as I use jetpack for some woocommerce.com services, so I have to have jetpack…tried some backup restores, but jetpack still does not work

    @pdesignz
    did you try deleting jetpack, then using your cPanel or whatever to restart your server?
    Then reinstall jetpack.

    Wes

    (@wesdesigns)

    I am having the same issue. I have tried uninstalling the plugin via FTP and reinstalling and am unable to active or delete it via the wordpress dashboard. I am getting the same error. Hopefully there will be a fix soon.

    @nikdow yes I have renamed the jetpack folder to get the site to work again, have tried adding jetpack, but will not activate due to the fatal error…have deleted from the server and tried installing and activating and every time I get the fatal error message.

    @pdesignz sounds like the step you might be missing is to restart the webserver, while jetpack is deleted. This will remove it from various caches.

    @nikdow I also tried uploading a zip of the plugin and when I try and activate this is the error I get, Fatal error: Cannot redeclare Automattic\Jetpack\Autoloader\enqueue_packages_caf890f17f58d4849def9dd43df3b33a() (previously declared in /home/customer/www/centerfortheperson.org/public_html/wp-content/plugins/woocommerce/vendor/autoload_packages.php:183) in /home/customer/www/centerfortheperson.org/public_html/wp-content/plugins/woocommerce/vendor/autoload_packages.php on line 183

    My website crashed after auto-update of Woocomerce to version 4.4.0.
    After that, i had run the auto recovery mode, downgraded Woocomerce, but when i was trying to activate Jetpack plugin

    Fatal error: Cannot redeclare Automattic\Jetpack\Autoloader\enqueue_packages_59b2271d25a961ec5100b6f811b89e89() (previously declared in /home/…./public_html/wp-content/plugins/woocommerce/vendor/autoload_packages.php:183) in /home/…./public_html/wp-content/plugins/woocommerce/vendor/autoload_packages.php on line 183

    Also, its imposible to delete Jetpack plugin.
    Probably error is between new Woocomerce and Jetpack?

    you can delete the plugin via ftp if you can’t do it from the wp dashboard

    @nikdow contacted host and restarted the server, installed plugin again and tried to activate and got the same fatal error and plugin won’t activate

    Here is the error…

    Fatal error: Cannot redeclare Automattic\Jetpack\Autoloader\enqueue_packages_caf890f17f58d4849def9dd43df3b33a() (previously declared in /home/customer/www/centerfortheperson.org/public_html/wp-content/plugins/woocommerce/vendor/autoload_packages.php:183) in /home/customer/www/centerfortheperson.org/public_html/wp-content/plugins/woocommerce/vendor/autoload_packages.php on line 183

    I have also downgraded woocommerce to 4.3.2

    • This reply was modified 1 year, 2 months ago by pdesignz.

    same error for me. had to delete plugin for jetpack. tried rolling back to 8.8 same issue

    Plugin Contributor James Huff

    (@macmanx)

    Volunteer Moderator

    Is there any improvement under Jetpack 8.8.2 and WooCommerce 4.4.1?

Viewing 15 replies - 1 through 15 (of 26 total)
  • The topic ‘Fatal Error Plugin Activations’ is closed to new replies.